/**
 * OW2 Spec
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: package-info.java 5375 2010-02-25 17:25:09Z sauthieg $
 * --------------------------------------------------------------------------
 */

/**
 * The custom context SPI.
 *
 * Associated with every {@linkplain javax.enterprise.context scope type} is a
 * {@linkplain javax.enterprise.context.spi.Context context} object. The context object implements the semantics
 * of the scope type.
 *
 * The context implementation collaborates with the container via the {@link javax.enterprise.context.spi.Context}
 * and {@link javax.enterprise.context.spi.Contextual} interfaces to create and destroy contextual instances.
 *
 * @see javax.enterprise.context
 * @see javax.enterprise.inject.spi
 */
package javax.enterprise.context.spi;